import { ScaleLinear } from 'd3-scale';
import { CSSProperties, ReactNode, SVGAttributes } from 'react';
interface CoordinatesXY {
    x1?: number;
    x2?: number;
    y1?: number;
    y2?: number;
}
export interface TickProps {
    style: CSSProperties;
    children?: ReactNode;
    line: CoordinatesXY;
    text: Omit<CoordinatesXY, 'x2' | 'y2'>;
    secondary?: boolean;
    strokeColor?: string;
    strokeHeight?: number;
    anchor?: SVGAttributes<SVGTextElement>['textAnchor'];
    alignment?: SVGAttributes<SVGTextElement>['alignmentBaseline'];
}
export interface TicksProps extends Omit<TickProps, 'line' | 'text'> {
    hidden: boolean;
    ticks: number[];
    scale: ScaleLinear<number, number, never>;
    scientific?: boolean;
    hiddenSecondaryTicks?: boolean;
    getPositions: (y: number) => {
        line: CoordinatesXY;
        text: Omit<CoordinatesXY, 'x2' | 'y2'>;
    };
}
export declare function Ticks(props: Omit<TicksProps, 'children'>): JSX.Element;
export declare function Tick(props: TickProps): JSX.Element;
export {};
