"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Markers_1 = require("../Markers");
const shapes = {
    triangle: Triangle,
    circle: Circle,
    diamond: Diamond,
    square: Square,
};
function Triangle(props) {
    return jsx_runtime_1.jsx(Markers_1.Triangle, { size: props.size, style: props.style }, void 0);
}
function Circle(props) {
    return jsx_runtime_1.jsx(Markers_1.Circle, { size: props.size, style: props.style }, void 0);
}
function Diamond(props) {
    return jsx_runtime_1.jsx(Markers_1.Diamond, { size: props.size, style: props.style }, void 0);
}
function Square(props) {
    return jsx_runtime_1.jsx(Markers_1.Square, { size: props.size, style: props.style }, void 0);
}
function Shape(props) {
    const Figure = shapes[props.shape];
    return (jsx_runtime_1.jsx("g", Object.assign({ transform: `translate(${props.x}, ${props.y})` }, { children: jsx_runtime_1.jsx(Figure, { size: props.size, style: props.style }, void 0) }), void 0));
}
exports.default = Shape;
